%define upstream_name		MusicBrainz-DiscID
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Perl interface for the MusicBrainz libdiscid library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MusicBrainz/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test) >= 1.0.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.0.0
BuildRequires: perl-devel
BuildRequires: pkgconfig(libdiscid)
%description
MusicBrainz::DiscID is a class to calculate a MusicBrainz DiscID from an
audio CD in the drive. The coding style is slightly different to the C
interface to libdiscid, because it makes use of perl's Object Oriented
functionality.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.60.0-8.mga10
+ Revision: 2088142
- Rebuild against new perl

* Thu Nov 30 2023 tv <tv> 0.60.0-7.mga10
+ Revision: 2011601
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.60.0-6.mga9
+ Revision: 1862180
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.60.0-5.mga9
+ Revision: 1795951
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.60.0-4.mga9
+ Revision: 1726909
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.60.0-3.mga8
+ Revision: 1594935
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.60.0-2.mga8
+ Revision: 1535018
- Mageia 8 Mass Rebuild

* Tue Oct 08 2019 tv <tv> 0.60.0-1.mga8
+ Revision: 1450621
- update to 0.06

* Tue Oct 08 2019 tv <tv> 0.50.0-1.mga8
+ Revision: 1450521
- update to 0.05

* Tue Aug 27 2019 tmb <tmb> 0.40.0-5.mga8
+ Revision: 1433843
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.40.0-4.mga7
+ Revision: 1293534
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.40.0-3.mga7
+ Revision: 1249793
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.40.0-2.mga7
+ Revision: 1165832
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.40.0-1.mga7
+ Revision: 1158328
- update to 0.04

* Tue May 31 2016 pterjan <pterjan> 0.30.0-11.mga6
+ Revision: 1019634
- Add Debian patch fixing some stack smashing

* Thu Feb 18 2016 umeabot <umeabot> 0.30.0-10.mga6
+ Revision: 966465
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.30.0-9.mga6
+ Revision: 845039
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.30.0-8.mga6
+ Revision: 842556
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-7.mga5
+ Revision: 746054
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-6.mga5
+ Revision: 685610
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.30.0-5.mga5
+ Revision: 631454
- Rebuild for perl 5.20

* Fri Dec 20 2013 sander85 <sander85> 0.30.0-4.mga4
+ Revision: 559304
- Fix build (patch from Debian)
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.30.0-3.mga4
+ Revision: 430900
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 370425
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 28 2012 wally <wally> 0.30.0-1.mga3
+ Revision: 264696
- import pkg (.spec generated with cpan2dist)

